Ask Your Question
0

I cannot install some important programms

asked 2014-10-15 09:58:51 -0500

Nikos gravatar image

updated 2014-10-15 17:15:36 -0500

mether gravatar image

I tried to install some programes like GNUradio and pulseaudio libraries or bluetooth libs and i cannot. i tried yum update etc without success.

When i tried for GNURadio

16:46:54 : ERROR: Dependency resolving completed with errors 16:46:54 : ERROR: Package: gnuradio-3.7.3-2.fc20.x86_64 (download.fedoraproject.org_pub_fedora_linux_updates_testing_20_x86_64_) Requires: PyQwt 16:46:54 : ERROR: Package: PyOpenGL-3.1.0-1.fc20.noarch (download.fedoraproject.org_pub_fedora_linux_updates_testing_20_x86_64_) Requires: freeglut

When i try to install random a program from YUM like xiphos i aslo have an error like above

Dependency Resolution Errors:

Package: xiphos-3.2.2-1.fc20.x86_64 (download.fedoraproject.org_pub_fedora_linux_updates_testing_20_x86_64_) Requires: yelpPackage: xiphos-3.2.2-1.fc20.x86_64 (download.fedoraproject.org_pub_fedora_linux_updates_testing_20_x86_64_) Requires: libwebkitgtk-3.0.so.0()(64bit)Package: xiphos-3.2.2-1.fc20.x86_64 (download.fedoraproject.org_pub_fedora_linux_updates_testing_20_x86_64_) Requires: libjavascriptcoregtk-3.0.so.0()(64bit)Package: xiphos-3.2.2-1.fc20.x86_64 (download.fedoraproject.org_pub_fedora_linux_updates_testing_20_x86_64_) Requires: libbiblesync.so.1.0.2()(64bit)

I cannot make a lot of thing.....

When i try to reinstall for example eclipse i take this error

Traceback (most recent call last): File "/usr/lib/python2.7/site-packages/yumexbackend/yum_server.py", line 1504, in dispatcher self.parse_command(args[0], args[1:]) File "/usr/lib/python2.7/site-packages/yumexbackend/yum_server.py", line 1434, in parse_command self.add_transaction(args) File "/usr/lib/python2.7/site-packages/yumexbackend/yum_server.py", line 808, in add_transaction txmbrs = self.yumbase.reinstall(po) File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 5638, in reinstall raise Errors.ReinstallInstallError(_("Problem in reinstall: no package %s matched to install") % ", ".join(failed), failed_pkgs=failed_pkgs) ReinstallInstallError: Problem in reinstall: no package 1:eclipse-equinox-osgi-4.3.2-3.fc20.x86_64 matched to install

I have a semi-defect Pc i cannot install a lot of things and i dont want to make a new install , cause the last 2 years i have made a lot of things!

edit retag flag offensive close merge delete

3 Answers

Sort by ยป oldest newest most voted
2

answered 2014-10-15 11:22:27 -0500

cobra gravatar image

You have the 'updates testing' repository enabled. You should disable this repository as it's producing conflicts that yum is really struggling to resolve.

You can disable these on the command line, but you probably want to do it more permanently. The repositories are defined by text files in /etc/yum.repos.d/, and there are several in there. Take a look through these files and change the enabled=... line to 0 for any of the testing repositories in there.

You need root privileges to edit these files, so use sudo to make that happen, or switch to root privileges on the command line with su.

Once you've set these up, run yum clean all and then yum update from the command line to bring your system into line with the repositories. If you still have any broken packages, you might want to consider removing them with yum remove <packagename>. You shouldn't need to enable any repositories to remove packages with yum.

edit flag offensive delete link more
0

answered 2014-10-15 12:58:24 -0500

davidva gravatar image

Easy way

From a terminal:

gpk-prefs

uncheck Fedora updates testing...

OK/YES...

su 
dnf clean metadata
dnf -y update
edit flag offensive delete link more

Comments

Thank you, but i have deleted before a 2 days all the repo files, i think that i have 2 ways, manual or from a livecd copy/paste the files ? is it correct?

Nikos gravatar imageNikos ( 2014-10-15 13:09:51 -0500 )edit
0

answered 2014-10-15 11:39:19 -0500

Nikos gravatar image

Thank you for the answer, i try this one but how it's the official repo ?

edit flag offensive delete link more

Question Tools

2 followers

Stats

Asked: 2014-10-15 09:58:51 -0500

Seen: 325 times

Last updated: Oct 15 '14